
local L = LibStub("AceLocale-3.0"):NewLocale("ShockAndAwe", "enUS", true);
if not L then return end

L["About"] = true
L["Version"] = true 
L["Stormstrike"] = true
L["Frost_Shock"] = "Frost Shock"
L["Earth_Shock"] = "Earth Shock"
L["Flame_Shock"] = "Flame Shock"
L["Wind_Shock"] = "Wind Shock"
L["Lava Burst"] = true
L["Lava Lash"] = true
L["WF_Attack"] = "Your Windfury Attack(.+) (%d+)"
L["Maelstrom"] = "Maelstrom Weapon"
L["WaterShield"] = "Water Shield"
L["LightningShield"] = "Lightning Shield"
L["EarthShield"] = "Earth Shield"
L["ElementalDevastation"] = "Elemental Devastation"
L["Flurry"] = "Flurry"
L["UnleashedRage"] = "Unleashed Rage"
L["LavaBurst"] = "Lava Burst"

L["TimerBars"] = "Timer Bars"
L["BarColours"] = "Bar Colours"
L["UptimeFrame"] = "Uptime Frame"
L["Uptime is %s (%s)"] = true

L["help_width"] = "The width of the cooldown bars, in pixels."
L["help_scale"] = "Use this to scale bars frame."
L["help_reset"] = "Resets ShockAndAwe to default configuration."
L["help_testbar"] = "Fires a Test Event."
L["help_display"] = "Hide or unhide the bar frames to reposition them.  When displayed, left click to drag the bars."
L["help_ss"] = "Activate or deactivate the Stormstrike/WF bar."
L["help_twist"] = "Activate or deactivate the totem twisting bar."
L["help_shock"] = "Activate or deactivate the shocks bar."
L["help_arena"] = "Activate or deactivate arena 4 piece bonus (9 second stormstrikes)."
L["help_shield"] = "Activate or deactivate the watershield timer bar."
L["help_maelstrom"] = "Activate or deactivate the maelstrom weapon bar."
L["help_lavaburst"] = "Activate or deactivate Lava Burst bar."
L["help_lavalash"] = "Activate or deactivate Lava Lash bar."
L["help_version"] = "Show version information" 
L["help_rotation"] = "Activate or deactivate the display of next shock in rotation" 
L["help_windshock"] = "Activate or deactivate the icon to warn if you should use wind shock" 
L["help_threat"] = "Percentage threat that triggers display of windshock warning" 
L["help_debug"] = "Activate or deactivate debug messages" 
L["help_textonbars"] = "Activate or deactivate text displays on bars"
L["help_showuptime"] = "Activate or deactivate Uptime frame"
L["help_mwicon"] = "Activate or deactivate display of Lava Burst or Lightning Bolt icon on 5 stacks of MW" 

L["Shield Bar"] = true
L["Maelstrom Bar"] = true
L["Stormstrike Bar"] = true
L["Shock Bar"] = true
L["Lava Lash Bar"] = true
L["Lava Burst Bar"] = true
L["Shock Rotation"] = true
L["Wind Shock"] = true
L["LvB or LL icon"] = true
L["4 piece arena bonus"] = true
L["Text Display"] = true
L["Bar Width"] = true
L["Bar Scale"] = true
L["Water Shield Alpha"] = true
L["Maelstrom Alpha"] = true
L["Maelstrom Full Alpha"] = true
L["Threat Threshold"] = true
L["Display Test Bar"] = true
L["Reset"] = true
L["Show Frame"] = true
L["Reset Positions"] = true
L["Reset Session info"] = true
L["Version"] = true
L["Move Frames"] = true
L["Debug mode"] = true
L["Bar Texture"] = true

L["config_SS_on"] = "Stormstrike bar will now be displayed when cast"
L["config_SS_off"] = "Stormstrike bar will NOT now be displayed when cast"
L["config_Shock_on"] = "Shock bar will now be displayed when cast"
L["config_Shock_off"] = "Shock bar will NOT now be displayed when cast"
L["config_Sheild_on"] = "Shield bar will now be displayed"
L["config_Sheild_off"] = "Shield bar will NOT now be displayed"
L["config_Arena_on"] = "Using Arena kit bonus with Stormstrike timer"
L["config_Arena_off"] = "NOT using Arena kit bonus with Stormstrike timer"
L["config_Uptime_on"] = "Display of Uptime frame enabled"
L["config_Uptime_off"] = "Display of Uptime frame disabled"
L["config_MW_on"] = "Maelstrom bar will now be displayed"
L["config_MW_off"] = "Maelstrom bar will NOT now be displayed"
L["config_LL_on"] = "Lava Lash bar will now be displayed"
L["config_LL_off"] = "Lava Lash  bar will NOT now be displayed"
L["config_LvB_on"] = "Lava Burst bar will now be displayed"
L["config_LvB_off"] = "Lava Burst bar will NOT now be displayed"
L["config_rotation_on"] = "Shock Rotation icons will now be displayed"
L["config_rotation_off"] = "Shock Rotation icons will NOT now be displayed"
L["config_debug_on"] = "Debug info will now be displayed"
L["config_debug_off"] = "Debug info will NOT now be displayed"
L["config_WSicon_on"] = "Windshock icon will now be displayed"
L["config_WSicon_off"] = "Windshock icon will NOT now be displayed"
L["config_Barstext_on"] = "Text info on bars will now be displayed"
L["config_Barstext_off"] = "Text info on bars will NOT now be displayed"
L["config_Threat"] = "Threat threshold for wind shock display set to : "
L["config_ShieldAlpha"] = "Shield Alpha set to : "
L["config_MSAlpha_ooc"] = "Maelstrom Alpha out of Combat set to : "
L["config_MSAlpha_combat"] = "Maelstrom Alpha in Combat set to : "
L["config_MWicon_on"] = "The Lava Burst or Lightning Bolt icon will now be shown on 5 stacks of MW"
L["config_MWicon_off"] = "The Lava Burst or Lightning Bolt icon will NOT now be shown on 5 stacks of MW"
L["config_reset"] = "Reset bar frame to default values"

L["Shields"] = true
L["Shocks"] = true
L["Other Bars"] = true
L["Water Shield Colour"] = true
L["Lightning Shield Colour"] = true
L["Earth Shield Colour"] = true
L["Shield Down Colour"] = true
L["Flame Shock Colour"] = true
L["Earth Shock Colour"] = true
L["Frost Shock Colour"] = true
L["Wind Shock Colour"] = true
L["Maelstrom Bar Colour"] = true
L["Stormstrike Bar Colour"] = true
L["Windfury Bar Colour"] = true
L["Lava Lash Bar Colour"] = true
L["Lava Burst Bar Colour"] = true

L["colWaterShield"] = "Select which colour you want to use when water shield is active"
L["colLightningShield"] = "Select which colour you want to use when lightning shield is active"
L["colEarthShield"] = "Select which colour you want to use if earth shield is active on you"
L["colNoShield"] = "Select which colour you want to use when no shield is active"
L["colFlameShock"] = "Select which colour to show on shock bar when last shock was Flame Shock"
L["colEarthShock"] = "Select which colour to show on shock bar when last shock was Earth Shock"
L["colFrostShock"] = "Select which colour to show on shock bar when last shock was Frost Shock"
L["colWindShock"] = "Select which colour to show on shock bar when last shock was Wind Shock"
L["colMaelstrom"] = "Select which colour to show on Maelstrom Weapon bar when its on cooldown"
L["colStormstrike"] = "Select which colour to show on Stormstike bar when its on cooldown"
L["colWindfury"] = "Select which colour to show on Windfury bar when its on cooldown"
L["colLavaLash"] = "Select which colour to show on Lava Lash bar when its on cooldown"
L["colLavaBurst"] = "Select which colour to show on Lava Burst bar when its on cooldown"

L["uptime_session"] = "Session Uptime"
L["uptime_lastfight"] = "Last Fight Uptime"
L["uptime_reset"] = "Reset uptime frame to default values"